﻿package com  {

	import flash.media.Sound;
	import flash.events.*;
	import flash.media.ID3Info;
	
	import flash.net.URLRequest;
	import flash.net.URLLoader;
	import flash.net.URLLoaderDataFormat;
	
	public class Song extends Sound {

		public var trackTitle:String;
		public var trackNumber:Number;
		public var duration:Number;
		public var lyrics:String;
		
		//SongAlbum will fill in properties once the ID3 info is received
		public function Song(audioReq, lyricsReq):void {
			
			super(audioReq);
			
			this.addEventListener(Event.COMPLETE, function(e:Event){
				var sourceSound = e.target as Song;
				//If the Event was fired from the same Song
				if(sourceSound.trackTitle == trackTitle) {
					//Set the Song's duration (in milliseconds)
					duration = Math.floor(sourceSound.length)
				}
			});
			
			var urlLoader:URLLoader = new URLLoader();
			urlLoader.dataFormat = URLLoaderDataFormat.TEXT;
			urlLoader.addEventListener(Event.COMPLETE, urlLoader_complete);
			urlLoader.load(lyricsReq);
			function urlLoader_complete():void {
				lyrics = urlLoader.data;
			}
			
		}

	}
	
}